# zaqar

## messaging claim create

Create claim and return a list of claimed messages

    openstack messaging claim create
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--ttl <ttl>]
        [--grace <grace>]
        [--limit <limit>]
        <queue_name>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--ttl <ttl>

  Time to live in seconds for claim

--grace <grace>

  The message grace period in seconds

--limit <limit>

  Claims a set of messages, up to limit

queue_name

  Name of the queue to be claim

This command is provided by the python-zaqarclient plugin.

## messaging claim query

Display claim details

    openstack messaging claim query
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <queue_name>
        <claim_id>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

queue_name

  Name of the claimed queue

claim_id

  ID of the claim

This command is provided by the python-zaqarclient plugin.

## messaging claim release

Delete a claim

    openstack messaging claim release <queue_name> <claim_id>

queue_name

  Name of the claimed queue

claim_id

  Claim ID to delete

This command is provided by the python-zaqarclient plugin.

## messaging claim renew

Renew a claim

    openstack messaging claim renew
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--ttl <ttl>]
        [--grace <grace>]
        <queue_name>
        <claim_id>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--ttl <ttl>

  Time to live in seconds for claim

--grace <grace>

  The message grace period in seconds

queue_name

  Name of the claimed queue

claim_id

  Claim ID

This command is provided by the python-zaqarclient plugin.

## messaging flavor create

Create a pool flavor

    openstack messaging flavor create
        [--pool_list <pool_list>]
        <flavor_name>

--pool_list <pool_list>

  Pool list for flavor

flavor_name

  Name of the flavor

This command is provided by the python-zaqarclient plugin.

## messaging flavor delete

Delete a pool flavor

    openstack messaging flavor delete <flavor_name>

flavor_name

  Name of the flavor

This command is provided by the python-zaqarclient plugin.

## messaging flavor list

List available pool flavors

    openstack messaging flavor list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker <flavor_name>]
        [--limit <limit>]
        [--detailed]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <flavor_name>

  Flavor’s paging marker

--limit <limit>

  Page size limit

--detailed

  If show detailed capabilities of flavor

This command is provided by the python-zaqarclient plugin.

## messaging flavor show

Display pool flavor details

    openstack messaging flavor show <flavor_name>

flavor_name

  Flavor to display (name)

This command is provided by the python-zaqarclient plugin.

## messaging flavor update

Update a flavor’s attributes

    openstack messaging flavor update
        [--pool_list <pool_list>]
        [--capabilities <capabilities>]
        <flavor_name>

--pool_list <pool_list>

  Pool list the flavor sits on

--capabilities <capabilities>

  Describes flavor-specific capabilities.

flavor_name

  Name of the flavor

This command is provided by the python-zaqarclient plugin.

## messaging health

Display detailed health status of Zaqar server

    openstack messaging health

This command is provided by the python-zaqarclient plugin.

## messaging homedoc

Display detailed resource doc of Zaqar server

    openstack messaging homedoc

This command is provided by the python-zaqarclient plugin.

## messaging message list

List all messages for a given queue

    openstack messaging message list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--message-ids <message_ids>]
        [--limit <limit>]
        [--echo]
        [--include-claimed]
        [--include-delayed]
        [--client-id <client_id>]
        <queue_name>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--message-ids <message_ids>

  List of messages’ ids to retrieve

--limit <limit>

  Maximum number of messages to get

--echo

  Whether to get this client’s own messages

--include-claimed

  Whether to include claimed messages

--include-delayed

  Whether to include delayed messages

--client-id <client_id>

  A UUID for each client instance.

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging message post

Post messages for a given queue

    openstack messaging message post
        [--client-id <client_id>]
        <queue_name>
        <messages>

--client-id <client_id>

  A UUID for each client instance.

queue_name

  Name of the queue

messages

  Messages to be posted.

This command is provided by the python-zaqarclient plugin.

## messaging ping

Check if Zaqar server is alive or not

    openstack messaging ping

This command is provided by the python-zaqarclient plugin.

## messaging pool create

Create a pool

    openstack messaging pool create
        [--flavor <flavor>]
        [--pool_options <pool_options>]
        <pool_name>
        <pool_uri>
        <pool_weight>

--flavor <flavor>

  Flavor of the pool

--pool_options <pool_options>

  An optional request component related to storage-specific options

pool_name

  Name of the pool

pool_uri

  Storage engine URI

pool_weight

  weight of the pool

This command is provided by the python-zaqarclient plugin.

## messaging pool delete

Delete a pool

    openstack messaging pool delete <pool_name>

pool_name

  Name of the pool

This command is provided by the python-zaqarclient plugin.

## messaging pool list

List available Pools

    openstack messaging pool list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker <pool_name>]
        [--limit <limit>]
        [--detailed]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <pool_name>

  Pool’s paging marker

--limit <limit>

  Page size limit

--detailed

  Detailed output

This command is provided by the python-zaqarclient plugin.

## messaging pool show

Display pool details

    openstack messaging pool show <pool_name>

pool_name

  Pool to display (name)

This command is provided by the python-zaqarclient plugin.

## messaging pool update

Update a pool attribute

    openstack messaging pool update
        [--pool_uri <pool_uri>]
        [--pool_weight <pool_weight>]
        [--flavor <flavor>]
        [--pool_options <pool_options>]
        <pool_name>

--pool_uri <pool_uri>

  Storage engine URI

--pool_weight <pool_weight>

  Weight of the pool

--flavor <flavor>

  Flavor of the pool

--pool_options <pool_options>

  An optional request component related to storage-specific options

pool_name

  Name of the pool

This command is provided by the python-zaqarclient plugin.

## messaging queue create

Create a queue

    openstack messaging queue create <queue_name>

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging queue delete

Delete a queue

    openstack messaging queue delete <queue_name>

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging queue get metadata

Get queue metadata

    openstack messaging queue get metadata <queue_name>

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging queue list

List available queues

    openstack messaging queue list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--marker <queue_id>]
        [--limit <limit>]
        [--detailed]
        [--with_count]

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <queue_id>

  Queue’s paging marker

--limit <limit>

  Page size limit

--detailed

  If show detailed information of queue

--with_count

  If show amount information of queue

This command is provided by the python-zaqarclient plugin.

## messaging queue purge

Purge a queue

    openstack messaging queue purge
        [--resource_types <resource_types>]
        <queue_name>

--resource_types <resource_types>

  Resource types want to be purged.

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging queue set metadata

Set queue metadata

    openstack messaging queue set metadata <queue_name> <queue_metadata>

queue_name

  Name of the queue

queue_metadata

  Queue metadata, All the metadata of the queue will be replaced by queue_metadata

This command is provided by the python-zaqarclient plugin.

## messaging queue signed url

Create a pre-signed url

    openstack messaging queue signed url
        [--paths <paths>]
        [--ttl-seconds <ttl_seconds>]
        [--methods <methods>]
        <queue_name>

--paths <paths>

  Allowed paths in a comma-separated list. Options: messages, subscriptions, claims

--ttl-seconds <ttl_seconds>

  Length of time (in seconds) until the signature expires

--methods <methods>

  HTTP methods to allow as a comma-separated list. Options: GET, HEAD, OPTIONS, POST, PUT, DELETE

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging queue stats

Get queue stats

    openstack messaging queue stats <queue_name>

queue_name

  Name of the queue

This command is provided by the python-zaqarclient plugin.

## messaging subscription create

Create a subscription for queue

    openstack messaging subscription create
        [--options <options>]
        <queue_name>
        <subscriber>
        <ttl>

--options <options>

  Metadata of the subscription in JSON format

queue_name

  Name of the queue to subscribe to

subscriber

  Subscriber which will be notified

ttl

  Time to live of the subscription in seconds

This command is provided by the python-zaqarclient plugin.

## messaging subscription delete

Delete a subscription

    openstack messaging subscription delete <queue_name> <subscription_id>

queue_name

  Name of the queue for the subscription

subscription_id

  ID of the subscription

This command is provided by the python-zaqarclient plugin.

## messaging subscription list

List available subscriptions

    openstack messaging subscription list
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--marker <subscription_id>]
        [--limit <limit>]
        <queue_name>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--marker <subscription_id>

  Subscription’s paging marker, the ID of the last subscription of the previous page

--limit <limit>

  Page size limit, default value is 20

queue_name

  Name of the queue to subscribe to

This command is provided by the python-zaqarclient plugin.

## messaging subscription show

Display subscription details

    openstack messaging subscription show <queue_name> <subscription_id>

queue_name

  Name of the queue to subscribe to

subscription_id

  ID of the subscription

This command is provided by the python-zaqarclient plugin.

## messaging subscription update

Update a subscription

    openstack messaging subscription update
        [--subscriber <subscriber>]
        [--ttl <ttl>]
        [--options <options>]
        <queue_name>
        <subscription_id>

--subscriber <subscriber>

  Subscriber which will be notified

--ttl <ttl>

  Time to live of the subscription in seconds

--options <options>

  Metadata of the subscription in JSON format

queue_name

  Name of the queue to subscribe to

subscription_id

  ID of the subscription

This command is provided by the python-zaqarclient plugin.

this page last updated: 2026-07-15 15:33:41

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.